%define	oname	igal

Name:		igal2
Version:	2.1
Release:	%mkrel 3
License:	GPLv2
Group:		Text tools
URL:		http://igal.trexler.at/
Source0:	http://igal.trexler.at/%{name}-%{version}.tar.gz
Patch0:		igal2-mdv-fix-paths.patch
Patch1:		igal2-2.0-mdv-fix-destdir-and-fhs-paths.patch
Summary:	Easy and flexible online Image GALlery generator
BuildArch:	noarch

%rename		%{oname}

Requires:	perl
Requires:	ImageMagick

%description
Igal2 is a quick, easy and flexible program meant to help you place your
digital images online. It generates a pretty good-looking set of HTML
slides even with its default settings -- which can otherwise be easily
changed with a good number of command-line options or by altering igal2's
HTML and CSS template files.


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .fhs~

%build

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_datadir}/%{name}/{README,ChangeLog,COPYING}
install -m 755 utilities/igal2-recursive.sh %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog
%{_bindir}/%{oname}
%{_bindir}/%{name}
%{_bindir}/%{name}.sh
%{_bindir}/%{name}-recursive.sh
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.1*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.1-3.mga4
+ Revision: 505987
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1-2.mga3
+ Revision: 354278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 01 2012 solbu <solbu> 2.1-1.mga3
+ Revision: 265848
- Rename patches, according to policy
- New version
- Fix licence
- README contains install instruction, so we'll drop it.
- Docs are installed in the wrong place, moving to correct location

* Tue Dec 06 2011 shlomif <shlomif> 2.0-1.mga2
+ Revision: 177408
- imported package igal2


* Sun Dec 05 2011 Johnny A. Solbu <solbu@mandriva.org> 2.0-1
* Initial Mageia package

* Tue Jul 12 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0-2
+ Revision: 689759
- fix DESTDIR support and FHS compliance in Makefile (P1)

  + Johnny A. Solbu <solbu@mandriva.org>
    - More spec cleanup
    - Imported package
    - Spec cleanup
    - import igal2

